<?php
/**
* @package Protect for WooCommerce
* @author  Protect, Inc.
* @license Proprietary
* @link    https://protect.inc
**/


if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

class Woo_Protect_Admin_Config {

    /**
    * Constructor
    **/
    function __construct() {
        add_action( 'admin_enqueue_scripts', array( $this, 'scripts' ), 100 );
        add_filter( 'plugin_action_links', array( $this, 'plugin_action_links' ), 10, 2 );
    }

    /**
    * Initialize
    * @since 1.0.0
    **/
    function scripts() {

        //wp_register_style( 'protect-admin-css', WC_PROTECT_URL . 'admin/assets/css/protect.css' );
        //wp_enqueue_style( 'protect-admin-css' );

        //wp_register_script( 'protect-admin-js', WC_PROTECT_URL . 'admin/assets/js/protect.js' );
        //wp_enqueue_script( 'protect-admin-js' );

        // Load only in the Protect settings tab.
        if(
            isset( $_GET['page'] ) && $_GET['page'] == 'wc-settings' &&
            isset( $_GET['tab'] ) && $_GET['tab'] == 'protect'
        ) {
            //wp_register_script( 'protect-admin-settings-js', WC_PROTECT_URL . 'admin/assets/js/protect-settings.js' );
            //wp_enqueue_script( 'protect-admin-settings-js' );
        }
    }

    /**
    * Add links to Plugin
    * @since 1.0.0
    **/
    function plugin_action_links( $plugin_actions, $plugin_file ) {

        $new_actions = array();

        if ( $plugin_file == 'protect/protect.php' ) {
            $new_actions['protect_settings'] = sprintf( '<a href="%s">%s</a>', esc_url( admin_url( 'admin.php?page=wc-settings&tab=protect' ) ), __( 'Settings', 'protect' ) );
        }

        return array_merge( $new_actions, $plugin_actions );
    }
}
?>