<?php
/**
*
* Init Frontend
*
* @package Protect for WooCommerce
* @author  Protect, Inc.
* @license Proprietary
* @link    https://protect.inc
**/

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}


add_action( 'wp_enqueue_scripts', 'protect_enqueue_scripts' );

/**
 * Load Global Protect Widget Script
 */
function protect_enqueue_scripts() {

    $scgUrl     = get_option( 'wc_protect_scg_url' );
    $publicKey  = get_option( 'wc_protect_public_key' );

    if ( $scgUrl && $publicKey && !is_admin() ) {
        wp_enqueue_script( 'protect-widget', "$scgUrl/v2/widget-protect.js?api-key=$publicKey" );
    }
}


/**
 * Initialize Classes
 */
$files = array(
    '/../global/base.class.php'      => 'Woo_Protect_Base',
    '/../global/api.v1.class.php'    => 'Woo_Protect_Api_V1',
    '/controllers/config.class.php'  => 'Woo_Protect_Config',
    '/views/main.views.class.php'    => '',
    '/controllers/main.class.php'    => 'Woo_Protect_Main',
);
foreach( $files as $file => $class ) {
    $path = __DIR__ . '/' . $file;
    if ( file_exists( $path ) ) require_once( $path );
    if ( $class ) new $class;
}

?>