<?php
/**
*
* Init Integrations
*
* @package Protect for WooCommerce
* @author  Protect, Inc.
* @license Proprietary
* @link    https://protect.inc
**/

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

class Woo_Protect_Integrations {

    private $_protect;

    public function __construct() {

        $this->_protect = Woo_Protect_Base::getInstance();

        // This loads files from the integrations folder with same structure as the plugins themselves.

        foreach ($this->_protect->getActivePlugins() as $plugin ) {

            // Path: integrations/woocommerce-product-addons/woocommerce-product-addons.php
            $path       = __DIR__ . '/' . $plugin;

            // This converts the folder structure to a class name.
            // Before: woocommerce-product-addons/woocommerce-product-addons.php
            // After: class Protect_Woocommerce_Product_Addons_Woocommerce_Product_Addons
            $words      = preg_split( "/[^A-Za-z0-9 ]/", strtolower( str_replace( '.php', '', $plugin) ) );
            $ucWords    = array_map( "ucwords", $words );
            $class      = 'Protect_' . implode( '_', $ucWords );

            // Load the integration file.
            if ( file_exists( $path ) ) {
                require_once( $path );

                // Instantiate the integration file's class.
                if ( class_exists( $class ) ) {
                    new $class();
                }
            }
        }
    }
}

?>